﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Channels;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Pulse una tecla cuando todos los servicios estén iniciados!");
            Console.ReadLine();
            
            ChannelFactory<IGeekChannel> channelFactory = new ChannelFactory<IGeekChannel>("endpointClient");
            IGeekChannel channel = channelFactory.CreateChannel();
            using (new OperationContextScope(channel))
            {
                MessageHeader header = MessageHeader.CreateHeader("Host", "http://www.plainconcepts.com", "HostB");
                OperationContext.Current.OutgoingMessageHeaders.Add(header);
                Console.WriteLine(channel.GetGeekBlog("Unai"));
            }
            
            Console.ReadLine();
        }
    }
}
