﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace HostA
{
    class Program
    {
        static void Main(string[] args)
        {
            Uri serviceUri = new Uri("http://localhost:2020/GeekService");
            using (ServiceHost host = new ServiceHost(typeof(GeekService.GeekService),serviceUri))
            {
                ServiceMetadataBehavior metadataBehavior = new ServiceMetadataBehavior();
                metadataBehavior.HttpGetEnabled = true;
                metadataBehavior.HttpGetUrl = serviceUri;
                

                host.Description.Behaviors.Add(metadataBehavior);
                host.Description.Behaviors.Find<ServiceDebugBehavior>().IncludeExceptionDetailInFaults = true;
                host.Open();
                Console.WriteLine("Servicio HostA iniciado correctamente!");
                Console.ReadLine();
            }
        }
    }
}
